#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main() {
	int n, l; cin >> n >> l;
	bool zaustavljen = false;

	for (int i = 0; i < n; i++) {
		int h; cin >> h;
		if (h <= l) {
			if (zaustavljen == false)
				cout << i + 1 << endl;
			zaustavljen = true;
		}
	}

	if (zaustavljen == false) {
		cout << -1 << endl;
	}

	return 0;
}